FreeCalypso > hg > fc-magnetite
comparison scripts/config-headers.sh @ 6:c01d2500a998
beginning of build system: crafting config headers into place
author | Mychaela Falconia <falcon@freecalypso.org> |
---|---|
date | Mon, 26 Sep 2016 02:09:35 +0000 |
parents | |
children | 86e83045be37 |
comparison
equal
deleted
inserted
replaced
5:53c4389afc06 | 6:c01d2500a998 |
---|---|
1 #!/bin/sh | |
2 | |
3 if [ $# != 1 ] | |
4 then | |
5 echo "usage: $0 config-flavor" 1>&2 | |
6 exit 1 | |
7 fi | |
8 | |
9 if [ -z "$TARGET" ] | |
10 then | |
11 echo "Error: TARGET= must be passed via environment" 1>&2 | |
12 exit 1 | |
13 fi | |
14 | |
15 if [ -z "$BUILD_DIR" ] | |
16 then | |
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2 | |
18 exit 1 | |
19 fi | |
20 | |
21 set -e | |
22 | |
23 cp -r cfg-headers/$1 $BUILD_DIR/config | |
24 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg |